<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iSequenceFinishRewardFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iSequenceFinishRewardFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iSequenceFinishRewardFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the reward that finishes a sequence.  
 <a href="structiSequenceFinishRewardFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rewards_8h_source.html">tools/rewards.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iSequenceFinishRewardFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiSequenceFinishRewardFactory.png" usemap="#iSequenceFinishRewardFactory_map" alt=""/>
  <map id="iSequenceFinishRewardFactory_map" name="iSequenceFinishRewardFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,192,24"/>
</map>
 </div></div>

<p><a href="structiSequenceFinishRewardFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiSequenceFinishRewardFactory.html#ab99c4e48d92e2bd6c7572714cf141369">SetClassParameter</a> (const char *ent_class)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity class containing the property class on which this reward will work.  <a href="#ab99c4e48d92e2bd6c7572714cf141369"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiSequenceFinishRewardFactory.html#a59bfab54762d2bc1b537e930546d7d8b">SetEntityParameter</a> (const char *entity, const char *tag=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the entity containing the pcquest property class on which this reward will work.  <a href="#a59bfab54762d2bc1b537e930546d7d8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiSequenceFinishRewardFactory.html#a15d8ef127ebf9fdda70989a3b4aaaca9">SetSequence</a> (<a class="el" href="structiCelSequence.html">iCelSequence</a> *sequence)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the sequence to observe.  <a href="#a15d8ef127ebf9fdda70989a3b4aaaca9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiSequenceFinishRewardFactory.html#a7222266b4015b5471a69cfc63f1b9b13">SetSequenceParameter</a> (const char *sequence)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the sequence.  <a href="#a7222266b4015b5471a69cfc63f1b9b13"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiSequenceFinishRewardFactory.html#a6ce9af763902e0126afde2bb38cb9323">SetTagParameter</a> (const char *tag_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the tag of the property class this reward will apply to.  <a href="#a6ce9af763902e0126afde2bb38cb9323"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the reward that finishes a sequence. </p>
<p>You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this reward type is 'cel.rewards.sequencefinish'.</p>
<p>In XML, factories recognize the following attributes on the 'op' node:</p>
<ul>
<li><em>entity</em>: the name of the entity containing the pcquest property class.</li>
<li><em>class</em>: the name of an entity class. If this is used instead of the entity parameter, the reward will apply to all entities in the given entity class.</li>
<li><em>entity_tag</em>: optional tag used to find the right property class from the entity.</li>
<li><em>sequence</em>: the name of the sequence. </li>
</ul>

<p>Definition at line <a class="el" href="rewards_8h_source.html#l00586">586</a> of file <a class="el" href="rewards_8h_source.html">rewards.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab99c4e48d92e2bd6c7572714cf141369"></a><!-- doxytag: member="iSequenceFinishRewardFactory::SetClassParameter" ref="ab99c4e48d92e2bd6c7572714cf141369" args="(const char *ent_class)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiSequenceFinishRewardFactory.html#ab99c4e48d92e2bd6c7572714cf141369">iSequenceFinishRewardFactory::SetClassParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>ent_class</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity class containing the property class on which this reward will work. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ent_class</td><td>is the name of the class or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a59bfab54762d2bc1b537e930546d7d8b"></a><!-- doxytag: member="iSequenceFinishRewardFactory::SetEntityParameter" ref="a59bfab54762d2bc1b537e930546d7d8b" args="(const char *entity, const char *tag=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiSequenceFinishRewardFactory.html#a59bfab54762d2bc1b537e930546d7d8b">iSequenceFinishRewardFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the entity containing the pcquest property class on which this reward will work. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entity</td><td>is the name of the entity or a parameter (starts with '$'). </td></tr>
    <tr><td class="paramname">tag</td><td>is the optional tag of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a15d8ef127ebf9fdda70989a3b4aaaca9"></a><!-- doxytag: member="iSequenceFinishRewardFactory::SetSequence" ref="a15d8ef127ebf9fdda70989a3b4aaaca9" args="(iCelSequence *sequence)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiSequenceFinishRewardFactory.html#a15d8ef127ebf9fdda70989a3b4aaaca9">iSequenceFinishRewardFactory::SetSequence</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelSequence.html">iCelSequence</a> *&#160;</td>
          <td class="paramname"><em>sequence</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the sequence to observe. </p>
<p>If this method is used, the trigger will observe the sequence given. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">sequence</td><td>is a pointer to the sequence. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7222266b4015b5471a69cfc63f1b9b13"></a><!-- doxytag: member="iSequenceFinishRewardFactory::SetSequenceParameter" ref="a7222266b4015b5471a69cfc63f1b9b13" args="(const char *sequence)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiSequenceFinishRewardFactory.html#a7222266b4015b5471a69cfc63f1b9b13">iSequenceFinishRewardFactory::SetSequenceParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sequence</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the sequence. </p>
<p>If this method is used, with no call to the SetSequence method, the trigger will look for the sequence inside a quest inside the entity set. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">sequence</td><td>is the name of the sequence or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6ce9af763902e0126afde2bb38cb9323"></a><!-- doxytag: member="iSequenceFinishRewardFactory::SetTagParameter" ref="a6ce9af763902e0126afde2bb38cb9323" args="(const char *tag_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiSequenceFinishRewardFactory.html#a6ce9af763902e0126afde2bb38cb9323">iSequenceFinishRewardFactory::SetTagParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag_par</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the tag of the property class this reward will apply to. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ent_class</td><td>is the name of the class or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="rewards_8h_source.html">rewards.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
